Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 511806 - sys-apps/portage-2.2.10: Can't evaluate PORTAGE_CONFIGROOT in make.conf
Summary: sys-apps/portage-2.2.10: Can't evaluate PORTAGE_CONFIGROOT in make.conf
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Configuration (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-05-29 18:18 UTC by Kobboi
Modified: 2015-03-04 21:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kobboi 2014-05-29 18:18:30 UTC
I would like to set certain variables in make.conf (in my case, PKGDIR) to something relative to PORTAGE_CONFIGROOT.

Unfortunately, PORTAGE_CONFIGROOT seems to evaluate to "" when

- I call emerge with the --config-root command line option

- I set PORTAGE_CONFIGROOT as an environment variable when calling emerge (without using --config-root)

Reproducible: Always
Comment 1 Joakim Tjernlund 2015-03-03 20:39:59 UTC
Is this still a problem?
I think atleast --config-root should work.
Does --root work for you?
Comment 2 Zac Medico gentoo-dev 2015-03-03 21:02:24 UTC
There's a patch in the following branch:

    https://github.com/zmedico/portage/tree/bug_511806

I've posted it for review here:

    http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5298
Comment 3 Zac Medico gentoo-dev 2015-03-03 21:29:12 UTC
This is in the master branch now:

https://github.com/gentoo/portage/commit/20a48be6f4c6779e7d89aef2a64c008ec70dcc14
Comment 4 Joakim Tjernlund 2015-03-03 22:32:57 UTC
(In reply to Zac Medico from comment #3)
> This is in the master branch now:
> 
> https://github.com/gentoo/portage/commit/
> 20a48be6f4c6779e7d89aef2a64c008ec70dcc14

That was fast:) Perhaps you can have a look at
  https://bugs.gentoo.org/show_bug.cgi?id=492854
too?
Comment 5 Brian Dolbec gentoo-dev 2015-03-04 21:49:10 UTC
Released in portage-2.2.18